name: elektronika
description: elektronika project online shopping platform.

publish_to: "none" # Remove this line if you wish to publish to pub.dev

version: 2.0.2+7

environment:
  sdk: ">=2.12.0 <3.0.0"

dependencies:
  flutter:
    sdk: flutter
  cupertino_icons: ^1.0.2
  flutter_screenutil: ^5.5.3+2
  get: ^4.6.5
  flutter_svg: ^0.22.0
  badges: ^2.0.1
  dio: ^4.0.0
  carousel_slider: ^4.0.0
  smooth_page_indicator: ^1.0.0+2 # indicators used on images
  cached_network_image: ^3.2.1
  # flutter_pagewise: ^2.0.1 #used for horizontal scrolling
  modal_bottom_sheet: ^2.0.0
  pin_code_fields: ^7.3.0
  path_provider: ^2.0.6
  animate_do: ^2.1.0
  flutter_rating_bar: ^4.0.0
  mask_text_input_formatter: ^2.0.0
  snapping_sheet: ^3.1.0 # draggable bottom_sheet:
  shared_preferences: ^2.0.12
  flutter_html: ^2.2.1 # try to remove, use webview_flutter
  html: ^0.15.0 # used for parse html
  loader_overlay: ^2.0.7
  device_info_plus: ^3.2.1
  intl: ^0.17.0
  roundcheckbox: ^2.0.4+1
  multi_select_flutter: ^4.1.2
  shimmer: ^2.0.0
  flutter_staggered_grid_view: ^0.6.1
  url_launcher: ^6.1.5
  webview_flutter: ^2.8.0
  firebase_messaging: ^14.1.1
  firebase_core: ^2.3.0
  flutter_local_notifications: ^12.0.4
  flutter_native_splash: ^2.2.0+1

dev_dependencies:
  flutter_test:
    sdk: flutter
  lint: ^1.7.2
  flutter_launcher_icons: "^0.9.2"

flutter_native_splash:
  image: assets/logo/icon-rounded.png
  color: "#ffffff"

flutter:
  uses-material-design: true
  fonts:
    - family: CustomIcons
      fonts:
        - asset: fonts/CustomIcons.ttf

  assets:
    - assets/appbar/
    - assets/cart/
    - assets/category/
    - assets/icons/
    - assets/logo/
    - assets/navbar/
    - assets/other/
    - assets/profile/
    - assets/settings/
    - assets/flags/
    - assets/images/
    - assets/splash/

flutter_icons:
  android: "launcher_icon"
  ios: true
  remove_alpha_ios: true
  image_path: "assets/logo/icon.png"
